> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /rutube/videos/related

> Get videos related to a video

**Price:** 10 credits per 20 results

**⚠️ Common errors:** 412: Video not found



## OpenAPI

````yaml /openapi/social-media.json post /api/rutube/videos/related
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/rutube/videos/related:
    post:
      tags:
        - /rutube
      summary: /rutube/videos/related
      description: |-
        Get videos related to a video

        **Price:** 10 credits per 20 results

        **⚠️ Common errors:** 412: Video not found
      operationId: __api_rutube_videos_related_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RutubeVideoRelatedPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RutubeVideo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    RutubeVideoRelatedPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        video:
          type: string
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - video
        - count
    RutubeVideo:
      properties:
        '@type':
          type: string
          default: RutubeVideo
        id:
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        preview_url:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - $ref: '#/components/schemas/RutubeAuthor'
            - type: 'null'
        category:
          anyOf:
            - $ref: '#/components/schemas/RutubeCategory'
            - type: 'null'
        pg_rating:
          anyOf:
            - $ref: '#/components/schemas/RutubePgRating'
            - type: 'null'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        track_id:
          anyOf:
            - type: integer
            - type: 'null'
        embed_url:
          anyOf:
            - type: string
            - type: 'null'
        origin_type:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          items:
            $ref: '#/components/schemas/RutubeTag'
          type: array
          default: []
        restricted_countries:
          items:
            type: string
          type: array
          default: []
        is_adult:
          type: boolean
          default: false
        is_official:
          type: boolean
          default: false
        is_licensed:
          anyOf:
            - type: boolean
            - type: 'null'
        is_livestream:
          type: boolean
          default: false
        is_on_air:
          type: boolean
          default: false
        is_audio:
          type: boolean
          default: false
        is_paid:
          type: boolean
          default: false
        is_serial:
          type: boolean
          default: false
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        published_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    RutubeAuthor:
      properties:
        '@type':
          type: string
          default: RutubeAuthor
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_official:
          type: boolean
          default: false
        subscriber_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    RutubeCategory:
      properties:
        '@type':
          type: string
          default: RutubeCategory
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    RutubePgRating:
      properties:
        '@type':
          type: string
          default: RutubePgRating
        age:
          anyOf:
            - type: integer
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    RutubeTag:
      properties:
        '@type':
          type: string
          default: RutubeTag
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````